Package com.pixelmed.anatproc

## Class CombinedAnatomicConcepts

- java.lang.Object
- - com.pixelmed.anatproc.Concept
  - - com.pixelmed.anatproc.CodedConcept
    - - com.pixelmed.anatproc.DisplayableConcept
      - - com.pixelmed.anatproc.CombinedAnatomicConcepts

-     public class CombinedAnatomicConcepts
      extends DisplayableConcept

  This class supports anatomic concepts that may be combinations of one another.

  Instances cannot be constructed directly, but rather are looked up using static methods that access a library of known combinations.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static com.pixelmed.anatproc.Combination[]` | `combinations` |

    - ### Fields inherited from class com.pixelmed.anatproc.DisplayableConcept

      `fullyQualifiedMenuEntry, shortcutMenuEntry`

    - ### Fields inherited from class com.pixelmed.anatproc.CodedConcept

      `codeMeaning, codeStringEquivalent, codeValue, codingSchemeDesignator, codingSchemeVersion, conceptIdentifier, legacyCodingSchemeDesignator, synonynms`

    - ### Fields inherited from class com.pixelmed.anatproc.Concept

      `conceptUniqueIdentifier`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CombinedAnatomicConcepts()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Concept` | `getCombinedConcept​(Concept[] concepts)` | Combine multiple concepts into a single concept containing all if possible.
    `static DisplayableConcept` | `getCombinedConcept​(Concept[] concepts, DictionaryOfConcepts dict)` | Combine multiple concepts into a single concept containing all if possible.
    `static Concept` | `getCombinedConcept​(Concept a, Concept b)` | Combine two concepts into a single concept containing both if possible.
    `static DisplayableConcept` | `getCombinedConcept​(Concept a, Concept b, DictionaryOfConcepts dict)` | Combine two concepts into a single concept containing both if possible.
    `protected static Concept[]` | `newConceptArray​(Concept... values)` |

    - ### Methods inherited from class com.pixelmed.anatproc.DisplayableConcept

      `getFullyQualifiedMenuEntry, getShortcutMenuEntry, toString`

    - ### Methods inherited from class com.pixelmed.anatproc.CodedConcept

      `getCodeAsString, getCodedSequenceItem, getCodeMeaning, getCodeStringEquivalent, getCodeValue, getCodingSchemeDesignator, getCodingSchemeVersion, getConceptIdentifier, getLegacyCodingSchemeDesignator, getSynonyms, toStringBrief`

    - ### Methods inherited from class com.pixelmed.anatproc.Concept

      `equals, getConceptUniqueIdentifier, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### combinations

          protected static com.pixelmed.anatproc.Combination[] combinations

  - ### Constructor Detail

    - #### CombinedAnatomicConcepts

          public CombinedAnatomicConcepts()

  - ### Method Detail

    - #### newConceptArray

          protected static Concept[] newConceptArray​(Concept... values)

    - #### getCombinedConcept

          public static Concept getCombinedConcept​(Concept[] concepts)

      Combine multiple concepts into a single concept containing all if possible.

      Parameters:
        `concepts` - the concepts to combine
      Returns:
        a combined concept if it exists, else null

    - #### getCombinedConcept

          public static Concept getCombinedConcept​(Concept a,
                                                   Concept b)

      Combine two concepts into a single concept containing both if possible.

      Parameters:
        `a` - one concept
        `b` - another concept
      Returns:
        a combined concept if it exists, else null

    - #### getCombinedConcept

          public static DisplayableConcept getCombinedConcept​(Concept[] concepts,
                                                              DictionaryOfConcepts dict)

      Combine multiple concepts into a single concept containing all if possible.

      Parameters:
        `concepts` - the concepts to combine
        `dict` - dictionary of concepts to lookup
      Returns:
        a combined concept if it exists and is present in the dictionary, else null

    - #### getCombinedConcept

          public static DisplayableConcept getCombinedConcept​(Concept a,
                                                              Concept b,
                                                              DictionaryOfConcepts dict)

      Combine two concepts into a single concept containing both if possible.

      Parameters:
        `a` - one concept
        `b` - another concept
        `dict` - dictionary of concepts to lookup
      Returns:
        a combined concept if it exists and is present in the dictionary, else null